using Microsoft.AspNetCore.Builder;

namespace Long.Core.Middleware;

public static class LongExtensionMiddleware
{
    /// <summary>
    /// 自定义全局错误捕获
    /// </summary>
    /// <param name="app"></param>
    public static void UseLongExtensionMiddleware(this IApplicationBuilder app)
    {
        app.UseMiddleware(typeof(LongExceptionCatch));
    }
}
